Skip to main content
GET
/
api
/
ml
/
v1
/
models
List models
curl --request GET \
  --url https://{controlPlaneURL}/api/ml/v1/models \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "ml_repo_id": "<string>",
      "name": "<string>",
      "fqn": "<string>",
      "created_by_subject": {
        "subjectId": "<string>",
        "subjectType": "user",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>"
      },
      "type": "model",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "run_steps": [
        123
      ]
    }
  ],
  "pagination": {
    "total": 100,
    "offset": 0,
    "limit": 10
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fqn
string

Fully qualified name to filter models by (format: 'model:{tenant_name}/{ml_repo_name}/{model_name}')

ml_repo_id
string

ID of the ML Repo to filter models by

name
string

Name of the model to filter by

offset
integer
default:0

Number of models to skip for pagination

limit
integer

Maximum number of models to return

run_id
string

ID of the run to filter models by

include_empty_models
boolean
default:true

Whether to include models that have no versions

Response

List of models matching the query with pagination information

data
Model · object[]
required

List of models matching the query

pagination
Pagination · object
required

Pagination information including total count, offset, and limit